/************************************************************
 *															*
 *						address.h							*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1996 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/
 



/********

between.dat holds all data
	
********/
 

	 

#if	(DEVELOPMENT_ENVIRONMENT==YAROZE)

		// created polygon management
	#define START_OF_CREATED_TMDS_STACK	0x80090000
	#define END_OF_CREATED_TMDS_STACK 0x800dffff

		// TMD files
		// all TMDs must be preserved
	#define CUBE_MODEL_ADDRESS 0x800e0000
	#define SHIP_2_MODEL_ADDRESS 0x800e0a00
	#define SHIP_3_MODEL_ADDRESS 0x8011b900
	#define SHIP_4_MODEL_ADDRESS 0x800e1db0
	#define SHIP_5_MODEL_ADDRESS 0x800e2db0
	#define SHIP_6_MODEL_ADDRESS 0x80141600
	#define SHIP_7_MODEL_ADDRESS 0x80142f88
	#define SHIP_8_MODEL_ADDRESS 0x80144350


		// sound files
		// note: vh must be preserved, vb can be overwritten after transfer
	#define VH0_ADDRESS 0x80120f00
	#define VB0_ADDRESS 0x80090000	

		// TIM files
		// all TIMs can be overwritten after transfer
	#define ASCII_TEXTURE_ADDRESS 0x800e4800

	#define SIMPLE_BLUE_TEXTURE_ADDRESS 0x800e5100
	#define BAR_RED_TEXTURE_ADDRESS 0x800e5a00
	#define BAR_SPECTRUM_TEXTURE_ADDRESS 0x800e5f00
	#define SMOOTH_SPECTRUM_TEXTURE_ADDRESS 0x800e7200
	#define SMOOTH_RED_TEXTURE_ADDRESS 0x800e8500

	#define ARROW_TEXTURE_1_ADDRESS 0x800e9000
	#define ARROW_TEXTURE_2_ADDRESS 0x800e9b00
	#define CHEVRON_TEXTURE_1_ADDRESS 0x800ea600

	#define FIRE_TEXTURE_ADDRESS 0x800eb100
	#define SPECTRUM_2_TEXTURE_ADDRESS 0x800eb400
	#define SPECTRUM_3_TEXTURE_ADDRESS 0x800ebf00

	#define CIRCLE_TEXTURE_ADDRESS 0x800eff00

	#define HORIZONTAL_LARGE_TEXTURE_ADDRESS 0x800f0a00


	#define PANEL_TEXTURE_ADDRESS 0x800f2000


	#define WAVE_16_TEXTURE_ADDRESS 0x800f2b00


	#define TILE_FIVE_TEXTURE_ADDRESS 0x800f4c00

	#define FIRE_BACKGROUND_TEXTURE_ADDRESS 0x800f5500




	#define NUMBER_1_TEXTURE_ADDRESS 0x80105000
	#define NUMBER_2_TEXTURE_ADDRESS 0x80105b00
	#define NUMBER_3_TEXTURE_ADDRESS 0x80106800
	#define NUMBER_4_TEXTURE_ADDRESS 0x80107400
	#define NUMBER_5_TEXTURE_ADDRESS 0x80108000
	#define NUMBER_6_TEXTURE_ADDRESS 0x80108b00
	#define NUMBER_7_TEXTURE_ADDRESS 0x80109800
	#define NUMBER_8_TEXTURE_ADDRESS 0x8010a400
	#define NUMBER_9_TEXTURE_ADDRESS 0x8010b000
	#define NUMBER_10_TEXTURE_ADDRESS 0x8010bb00
	#define NUMBER_11_TEXTURE_ADDRESS 0x8010c800
	#define NUMBER_12_TEXTURE_ADDRESS 0x8010d400
	#define NUMBER_13_TEXTURE_ADDRESS 0x8010e000
	#define NUMBER_14_TEXTURE_ADDRESS 0x8010eb00
	#define NUMBER_15_TEXTURE_ADDRESS 0x8010f800
	#define NUMBER_16_TEXTURE_ADDRESS 0x80110400
	#define NUMBER_17_TEXTURE_ADDRESS 0x80111000
	#define NUMBER_18_TEXTURE_ADDRESS 0x80111b00
	#define NUMBER_19_TEXTURE_ADDRESS 0x80112800
	#define NUMBER_20_TEXTURE_ADDRESS 0x80113400
	#define NUMBER_21_TEXTURE_ADDRESS 0x80114000
	#define NUMBER_22_TEXTURE_ADDRESS 0x80114b00
	#define NUMBER_23_TEXTURE_ADDRESS 0x80115800
	#define NUMBER_24_TEXTURE_ADDRESS 0x80116400
	#define NUMBER_25_TEXTURE_ADDRESS 0x80117000
	#define NUMBER_26_TEXTURE_ADDRESS 0x80117b00
	#define NUMBER_27_TEXTURE_ADDRESS 0x80118800
	#define NUMBER_28_TEXTURE_ADDRESS 0x80119400
	#define NUMBER_29_TEXTURE_ADDRESS 0x8011a000
	#define WAVE_15_TEXTURE_ADDRESS 0x8011a900

	#define INTRO_TEXTURE_ADDRESS 0x800b9300

	#define YAROZE_TEXTURE_ADDRESS 0x800c9300

	#define YAROZE_VH_ADDRESS 0x80122000
	#define YAROZE_VB_ADDRESS 0x800d8600

	#define NUMBER_30_TEXTURE_ADDRESS 0x80122c20
	#define NUMBER_31_TEXTURE_ADDRESS 0x80123640
	#define NUMBER_32_TEXTURE_ADDRESS 0x80124060
	#define NUMBER_33_TEXTURE_ADDRESS 0x80124a80
	#define NUMBER_34_TEXTURE_ADDRESS 0x801254a0
	#define NUMBER_35_TEXTURE_ADDRESS 0x80125ec0
	#define NUMBER_36_TEXTURE_ADDRESS 0x801268e0
	#define NUMBER_37_TEXTURE_ADDRESS 0x80127300
	#define NUMBER_38_TEXTURE_ADDRESS 0x80127d20
	#define NUMBER_39_TEXTURE_ADDRESS 0x80128740
	#define NUMBER_40_TEXTURE_ADDRESS 0x80129160
	#define NUMBER_41_TEXTURE_ADDRESS 0x80129b80
	#define NUMBER_42_TEXTURE_ADDRESS 0x8012a5a0
	#define NUMBER_43_TEXTURE_ADDRESS 0x8012afc0
	#define NUMBER_44_TEXTURE_ADDRESS 0x8012b9e0
	#define NUMBER_45_TEXTURE_ADDRESS 0x8012cd00
	#define NUMBER_46_TEXTURE_ADDRESS 0x8012d720
	#define NUMBER_47_TEXTURE_ADDRESS 0x8012e140
	#define NUMBER_48_TEXTURE_ADDRESS 0x8012eb60
	#define NUMBER_49_TEXTURE_ADDRESS 0x8012f580
	#define NUMBER_50_TEXTURE_ADDRESS 0x8012ffa0
	#define NUMBER_51_TEXTURE_ADDRESS 0x801309c0
	#define NUMBER_52_TEXTURE_ADDRESS 0x801313e0

	#define SPIRAL_1_TEXTURE_ADDRESS 0x80132000
	#define SPIRAL_2_TEXTURE_ADDRESS 0x80132840
	#define SPIRAL_3_TEXTURE_ADDRESS 0x80133080
	#define SPIRAL_4_TEXTURE_ADDRESS 0x801338b0

	#define TRACK_DATAFILE_ADDRESS 0x80134100
#elif (DEVELOPMENT_ENVIRONMENT==DEV_KIT)
			// NEW version, closer to Yaroze map
			// ALSO compatible with bootstrap program

	#define DEV_KIT_ADDR_DIFF 0x00070000

		// created polygon management
	#define START_OF_CREATED_TMDS_STACK	0x80090000 - DEV_KIT_ADDR_DIFF
	#define END_OF_CREATED_TMDS_STACK 0x800dffff - DEV_KIT_ADDR_DIFF

		// TMD files
		// all TMDs must be preserved
	#define CUBE_MODEL_ADDRESS 0x800e0000 - DEV_KIT_ADDR_DIFF
	#define SHIP_2_MODEL_ADDRESS 0x800e0a00 - DEV_KIT_ADDR_DIFF
	#define SHIP_3_MODEL_ADDRESS 0x8011b900 - DEV_KIT_ADDR_DIFF
	#define SHIP_4_MODEL_ADDRESS 0x800e1db0 - DEV_KIT_ADDR_DIFF
	#define SHIP_5_MODEL_ADDRESS 0x800e2db0 - DEV_KIT_ADDR_DIFF
	#define SHIP_6_MODEL_ADDRESS 0x80141600 - DEV_KIT_ADDR_DIFF
	#define SHIP_7_MODEL_ADDRESS 0x80142f88 - DEV_KIT_ADDR_DIFF
	#define SHIP_8_MODEL_ADDRESS 0x80144350 - DEV_KIT_ADDR_DIFF

		// sound files
		// note: vh must be preserved, vb can be overwritten after transfer
	#define VH0_ADDRESS 0x80120f00 - DEV_KIT_ADDR_DIFF
	#define VB0_ADDRESS 0x80090000 - DEV_KIT_ADDR_DIFF	

		// TIM files
		// all TIMs can be overwritten after transfer
	#define ASCII_TEXTURE_ADDRESS 0x800e4800 - DEV_KIT_ADDR_DIFF

	#define SIMPLE_BLUE_TEXTURE_ADDRESS 0x800e5100 - DEV_KIT_ADDR_DIFF
	#define BAR_RED_TEXTURE_ADDRESS 0x800e5a00 - DEV_KIT_ADDR_DIFF
	#define BAR_SPECTRUM_TEXTURE_ADDRESS 0x800e5f00 - DEV_KIT_ADDR_DIFF
	#define SMOOTH_SPECTRUM_TEXTURE_ADDRESS 0x800e7200 - DEV_KIT_ADDR_DIFF
	#define SMOOTH_RED_TEXTURE_ADDRESS 0x800e8500 - DEV_KIT_ADDR_DIFF

	#define ARROW_TEXTURE_1_ADDRESS 0x800e9000 - DEV_KIT_ADDR_DIFF
	#define ARROW_TEXTURE_2_ADDRESS 0x800e9b00 - DEV_KIT_ADDR_DIFF
	#define CHEVRON_TEXTURE_1_ADDRESS 0x800ea600 - DEV_KIT_ADDR_DIFF

	#define FIRE_TEXTURE_ADDRESS 0x800eb100 - DEV_KIT_ADDR_DIFF
	#define SPECTRUM_2_TEXTURE_ADDRESS 0x800eb400 - DEV_KIT_ADDR_DIFF
	#define SPECTRUM_3_TEXTURE_ADDRESS 0x800ebf00 - DEV_KIT_ADDR_DIFF

	#define CIRCLE_TEXTURE_ADDRESS 0x800eff00 - DEV_KIT_ADDR_DIFF

	#define HORIZONTAL_LARGE_TEXTURE_ADDRESS 0x800f0a00 - DEV_KIT_ADDR_DIFF


	#define PANEL_TEXTURE_ADDRESS 0x800f2000 - DEV_KIT_ADDR_DIFF


	#define WAVE_16_TEXTURE_ADDRESS 0x800f2b00 - DEV_KIT_ADDR_DIFF


	#define TILE_FIVE_TEXTURE_ADDRESS 0x800f4c00 - DEV_KIT_ADDR_DIFF

	#define FIRE_BACKGROUND_TEXTURE_ADDRESS 0x800f5500 - DEV_KIT_ADDR_DIFF




	#define NUMBER_1_TEXTURE_ADDRESS 0x80105000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_2_TEXTURE_ADDRESS 0x80105b00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_3_TEXTURE_ADDRESS 0x80106800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_4_TEXTURE_ADDRESS 0x80107400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_5_TEXTURE_ADDRESS 0x80108000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_6_TEXTURE_ADDRESS 0x80108b00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_7_TEXTURE_ADDRESS 0x80109800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_8_TEXTURE_ADDRESS 0x8010a400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_9_TEXTURE_ADDRESS 0x8010b000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_10_TEXTURE_ADDRESS 0x8010bb00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_11_TEXTURE_ADDRESS 0x8010c800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_12_TEXTURE_ADDRESS 0x8010d400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_13_TEXTURE_ADDRESS 0x8010e000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_14_TEXTURE_ADDRESS 0x8010eb00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_15_TEXTURE_ADDRESS 0x8010f800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_16_TEXTURE_ADDRESS 0x80110400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_17_TEXTURE_ADDRESS 0x80111000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_18_TEXTURE_ADDRESS 0x80111b00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_19_TEXTURE_ADDRESS 0x80112800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_20_TEXTURE_ADDRESS 0x80113400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_21_TEXTURE_ADDRESS 0x80114000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_22_TEXTURE_ADDRESS 0x80114b00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_23_TEXTURE_ADDRESS 0x80115800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_24_TEXTURE_ADDRESS 0x80116400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_25_TEXTURE_ADDRESS 0x80117000 - DEV_KIT_ADDR_DIFF
	#define NUMBER_26_TEXTURE_ADDRESS 0x80117b00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_27_TEXTURE_ADDRESS 0x80118800 - DEV_KIT_ADDR_DIFF
	#define NUMBER_28_TEXTURE_ADDRESS 0x80119400 - DEV_KIT_ADDR_DIFF
	#define NUMBER_29_TEXTURE_ADDRESS 0x8011a000 - DEV_KIT_ADDR_DIFF
	#define WAVE_15_TEXTURE_ADDRESS 0x8011a900 - DEV_KIT_ADDR_DIFF

	#define INTRO_TEXTURE_ADDRESS 0x800b9300 - DEV_KIT_ADDR_DIFF

	#define YAROZE_TEXTURE_ADDRESS 0x800c9300 - DEV_KIT_ADDR_DIFF

	#define YAROZE_VH_ADDRESS 0x80122000 - DEV_KIT_ADDR_DIFF
	#define YAROZE_VB_ADDRESS 0x800d8600 - DEV_KIT_ADDR_DIFF

	#define NUMBER_30_TEXTURE_ADDRESS 0x80122c20 - DEV_KIT_ADDR_DIFF
	#define NUMBER_31_TEXTURE_ADDRESS 0x80123640 - DEV_KIT_ADDR_DIFF
	#define NUMBER_32_TEXTURE_ADDRESS 0x80124060 - DEV_KIT_ADDR_DIFF
	#define NUMBER_33_TEXTURE_ADDRESS 0x80124a80 - DEV_KIT_ADDR_DIFF
	#define NUMBER_34_TEXTURE_ADDRESS 0x801254a0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_35_TEXTURE_ADDRESS 0x80125ec0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_36_TEXTURE_ADDRESS 0x801268e0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_37_TEXTURE_ADDRESS 0x80127300 - DEV_KIT_ADDR_DIFF
	#define NUMBER_38_TEXTURE_ADDRESS 0x80127d20 - DEV_KIT_ADDR_DIFF
	#define NUMBER_39_TEXTURE_ADDRESS 0x80128740 - DEV_KIT_ADDR_DIFF
	#define NUMBER_40_TEXTURE_ADDRESS 0x80129160 - DEV_KIT_ADDR_DIFF
	#define NUMBER_41_TEXTURE_ADDRESS 0x80129b80 - DEV_KIT_ADDR_DIFF
	#define NUMBER_42_TEXTURE_ADDRESS 0x8012a5a0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_43_TEXTURE_ADDRESS 0x8012afc0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_44_TEXTURE_ADDRESS 0x8012b9e0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_45_TEXTURE_ADDRESS 0x8012cd00 - DEV_KIT_ADDR_DIFF
	#define NUMBER_46_TEXTURE_ADDRESS 0x8012d720 - DEV_KIT_ADDR_DIFF
	#define NUMBER_47_TEXTURE_ADDRESS 0x8012e140 - DEV_KIT_ADDR_DIFF
	#define NUMBER_48_TEXTURE_ADDRESS 0x8012eb60 - DEV_KIT_ADDR_DIFF
	#define NUMBER_49_TEXTURE_ADDRESS 0x8012f580 - DEV_KIT_ADDR_DIFF
	#define NUMBER_50_TEXTURE_ADDRESS 0x8012ffa0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_51_TEXTURE_ADDRESS 0x801309c0 - DEV_KIT_ADDR_DIFF
	#define NUMBER_52_TEXTURE_ADDRESS 0x801313e0 - DEV_KIT_ADDR_DIFF

	#define SPIRAL_1_TEXTURE_ADDRESS 0x80132000 - DEV_KIT_ADDR_DIFF
	#define SPIRAL_2_TEXTURE_ADDRESS 0x80132840 - DEV_KIT_ADDR_DIFF
	#define SPIRAL_3_TEXTURE_ADDRESS 0x80133080 - DEV_KIT_ADDR_DIFF
	#define SPIRAL_4_TEXTURE_ADDRESS 0x801338b0 - DEV_KIT_ADDR_DIFF

	#define TRACK_DATAFILE_ADDRESS 0x80134100 - DEV_KIT_ADDR_DIFF
#else
	#error "development environment BAD value"
#endif
	


	// 128 bytes
#define SIZEOF_SINGLE_POLYGON_TMD 0x00000080




	// 900 bytes
#define SIZEOF_SINGLE_TRACK_FLYING_DATA 0x384



	// LARGE TIM file: OK to overwrite (only used when program exiting)
	// overwrites the area of other TIMs
#define SCREEN_SAVE_ADDRESS 0x80090000