/***********************************************************
 *															*
 *						camera2.h							*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1997 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/

#ifndef CAMERA_2_H_INCLUDED


 
/****************************************************************************
					prototypes
****************************************************************************/

  

void InitFourthSphericalViewer (void);
void UpdateFourthSphericalViewer (void);

void InitCardinalFlyby (void);
void UpdateCardinalFlyby (void);

void InitThirdHelicalViewer (void);
void UpdateThirdHelicalViewer (void);

void InitFourthHelicalViewer (void);
void UpdateFourthHelicalViewer (void);

void InitFirstSpiralViewer (void);
void UpdateFirstSpiralViewer (void);


int GetDifferentLazyRotationMove (int move);

void InitFirstLazyRotationViewer (void);
void UpdateFirstLazyRotationViewer (void);

void InitSecondLazyRotationViewer (void);
void UpdateSecondLazyRotationViewer (void);

void InitThirdLazyRotationViewer (void);
void UpdateThirdLazyRotationViewer (void);








	// misc simple geometry functions
void GetPointOnCuboid (int xLength, int yLength, int zLength,
							int whichCorner, VECTOR *output);

int GetNewPointOnCuboid (int oldPointOnCuboid, int whichMove);

int GetAxisOfMove (int move);

void GetPointOnSphere (int radius,
							int whichCardinalPoint, VECTOR *output);
							
int GetNewPointOnSphere (int pointOnSphere, int move);

int GetNextMoveAtPointOnSphere (int point, int move);


void SetMatrixByPointAndOrientation (MATRIX *matrix, 
							int point, int orientation);


int FlipRelativeXYMove (int move);


int GetNewRelativeMove (int oldMove, int orientationAdded);

int AntiDirection (int direction);



void GetNewCirclingOnCubeData (int oldPlane, int oldAngle, int oldDirection,
				int *newPlane, int *newAngle, int *newDirection);







#define CAMERA_2_H_INCLUDED	1

#endif