/************************************************************
 *															*
 *						drawproc.h							*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1996 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/

#ifndef DRAWPROC_H_INCLUDED





#include "sys_libs.h"


#define NUMBER_DRAW_PROCESSES 142


typedef void(*VOID_FROM_OT)(GsOT *ot);



void DoWorkOfDrawProcess (int processID, GsOT *ot);

void DoWorkOfDrawProcess2 (int processID, GsOT *ot);

void LinkDrawingFunctionsIntoFunctionTable (void);



GsIMAGE *GetTextureInfoOnTunnelSection (int sectionID);

void GetColourAtStageOfCycle (int period, CVECTOR *colour);


int DrawProcessUsesSoundToLight (int processID);



#define DRAWPROC_H_INCLUDED 1

#endif