/************************************************************
 *															*
 *						pad.c								*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1996 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/



// standard controller pad interface module



#include "pad.h"




#if (DEVELOPMENT_ENVIRONMENT==YAROZE)

	// buffers
volatile u_char *bb0, *bb1;




  
	// set up buffers
void PadInit (int dummy)
{
	GetPadBuf(&bb0, &bb1);
}


	// nice and comprehensible ...
u_long PadRead (int dummy)
{
	return(~(*(bb0+3) | *(bb0+2) << 8 | *(bb1+3) << 16 | *(bb1+2) << 24));
}
	




#endif