/************************************************************
 *															*
 *						general.h							*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1996 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/



#ifndef GENERAL_H_INCLUDED




/****************************************************************************
					 constants and macro
****************************************************************************/






#define TRUE 1
#define FALSE 0




#define CLOCKWISE 0
#define ANTICLOCKWISE 1




#define NONE 1001



	// for coordinate system linking
#define THE_WORLD 1002




#define FIRST 0
#define SECOND 1
#define THIRD 2
#define FOURTH 3
#define FIFTH 4
#define SIXTH 5
#define SEVENTH 6
#define EIGHTH 7
#define NINTH 8
#define TENTH 9
#define ELEVENTH 10
#define TWELFTH 11
#define THIRTEENTH 12
#define FOURTEENTH 13
#define FIFTEENTH 14
#define SIXTEENTH 15
#define SEVENTEENTH 16
#define EIGHTEENTH 17
#define NINETEENTH 18
#define TWENTIETH 19
#define TWENTY_FIRST 20
#define TWENTY_SECOND 21
#define TWENTY_THIRD 22
#define TWENTY_FOURTH 23
#define TWENTY_FIFTH 24
#define TWENTY_SIXTH 25
#define TWENTY_SEVENTH 26
#define TWENTY_EIGHTH 27
#define TWENTY_NINTH 28
#define THIRTIETH 29
#define THIRTY_FIRST 30
#define THIRTY_SECOND 31
#define THIRTY_THIRD 32
#define THIRTY_FOURTH 33
#define THIRTY_FIFTH 34
#define THIRTY_SIXTH 35
#define THIRTY_SEVENTH 36
#define THIRTY_EIGHTH 37
#define THIRTY_NINTH 38
#define FOURTIETH 39
#define FORTY_FIRST 40
#define FORTY_SECOND 41
#define FORTY_THIRD 42
#define FORTY_FOURTH 43
#define FORTY_FIFTH 44
#define FORTY_SIXTH 45
#define FORTY_SEVENTH 46
#define FORTY_EIGHTH 47
#define FORTY_NINTH 48
#define FIFTIETH 49
#define FIFTY_FIRST 50
#define FIFTY_SECOND 51
#define FIFTY_THIRD 52
#define FIFTY_FOURTH 53
#define FIFTY_FIFTH 54
#define FIFTY_SIXTH 55
#define FIFTY_SEVENTH 56
#define FIFTY_EIGHTH 57
#define FIFTY_NINTH 58
#define SIXTIETH 59
#define SIXTY_FIRST 60
#define SIXTY_SECOND 61
#define SIXTY_THIRD 62
#define SIXTY_FOURTH 63
#define SIXTY_FIFTH 64
#define SIXTY_SIXTH 65
#define SIXTY_SEVENTH 66
#define SIXTY_EIGHTH 67
#define SIXTY_NINTH 68
#define SEVENTIETH 69
#define SEVENTY_FIRST 70
#define SEVENTY_SECOND 71
#define SEVENTY_THIRD 72
#define SEVENTY_FOURTH 73
#define SEVENTY_FIFTH 74
#define SEVENTY_SIXTH 75
#define SEVENTY_SEVENTH 76
#define SEVENTY_EIGHTH 77
#define SEVENTY_NINTH 78
#define EIGHTIETH 79
#define EIGHTY_FIRST 80
#define EIGHTY_SECOND 81
#define EIGHTY_THIRD 82
#define EIGHTY_FOURTH 83
#define EIGHTY_FIFTH 84
#define EIGHTY_SIXTH 85
#define EIGHTY_SEVENTH 86
#define EIGHTY_EIGHTH 87
#define EIGHTY_NINTH 88
#define NINETIETH 89
#define NINETY_FIRST 90
#define NINETY_SECOND 91
#define NINETY_THIRD 92
#define NINETY_FOURTH 93
#define NINETY_FIFTH 94
#define NINETY_SIXTH 95
#define NINETY_SEVENTH 96
#define NINETY_EIGHTH 97
#define NINETY_NINTH 98
#define HUNDREDTH 99
#define HUNDRED_AND_FIRST 100
#define HUNDRED_AND_SECOND 101
#define HUNDRED_AND_THIRD 102
#define HUNDRED_AND_FOURTH 103
#define HUNDRED_AND_FIFTH 104
#define HUNDRED_AND_SIXTH 105
#define HUNDRED_AND_SEVENTH 106
#define HUNDRED_AND_EIGHTH 107
#define HUNDRED_AND_NINTH 108
#define HUNDRED_AND_TENTH 109
#define HUNDRED_AND_ELEVENTH 110
#define HUNDRED_AND_TWELFTH 111
#define HUNDRED_AND_THIRTEENTH 112
#define HUNDRED_AND_FOURTEENTH 113
#define HUNDRED_AND_FIFTEENTH 114
#define HUNDRED_AND_SIXTEENTH 115
#define HUNDRED_AND_SEVENTEENTH 116
#define HUNDRED_AND_EIGHTEENTH 117
#define HUNDRED_AND_NINETEENTH 118
#define HUNDRED_AND_TWENTIETH 119
#define HUNDRED_AND_TWENTY_FIRST 120
#define HUNDRED_AND_TWENTY_SECOND 121
#define HUNDRED_AND_TWENTY_THIRD 122
#define HUNDRED_AND_TWENTY_FOURTH 123
#define HUNDRED_AND_TWENTY_FIFTH 124
#define HUNDRED_AND_TWENTY_SIXTH 125
#define HUNDRED_AND_TWENTY_SEVENTH 126
#define HUNDRED_AND_TWENTY_EIGHTH 127
#define HUNDRED_AND_TWENTY_NINTH 128
#define HUNDRED_AND_THIRTIETH 129
#define HUNDRED_AND_THIRTY_FIRST 130
#define HUNDRED_AND_THIRTY_SECOND 131
#define HUNDRED_AND_THIRTY_THIRD 132
#define HUNDRED_AND_THIRTY_FOURTH 133
#define HUNDRED_AND_THIRTY_FIFTH 134
#define HUNDRED_AND_THIRTY_SIXTH 135
#define HUNDRED_AND_THIRTY_SEVENTH 136
#define HUNDRED_AND_THIRTY_EIGHTH 137
#define HUNDRED_AND_THIRTY_NINTH 138
#define HUNDRED_AND_FOURTIETH 139
#define HUNDRED_AND_FORTY_FIRST 140
#define HUNDRED_AND_FORTY_SECOND 141
#define HUNDRED_AND_FORTY_THIRD 142
#define HUNDRED_AND_FORTY_FOURTH 143
#define HUNDRED_AND_FORTY_FIFTH 144
#define HUNDRED_AND_FORTY_SIXTH 145
#define HUNDRED_AND_FORTY_SEVENTH 146
#define HUNDRED_AND_FORTY_EIGHTH 147
#define HUNDRED_AND_FORTY_NINTH 148
#define HUNDRED_AND_FIFTIETH 149
#define HUNDRED_AND_FIFTY_FIRST 150
#define HUNDRED_AND_FIFTY_SECOND 151
#define HUNDRED_AND_FIFTY_THIRD 152
#define HUNDRED_AND_FIFTY_FOURTH 153
#define HUNDRED_AND_FIFTY_FIFTH 154
#define HUNDRED_AND_FIFTY_SIXTH 155
#define HUNDRED_AND_FIFTY_SEVENTH 156
#define HUNDRED_AND_FIFTY_EIGHTH 157
#define HUNDRED_AND_FIFTY_NINTH 158
#define HUNDRED_AND_SIXTIETH 159
#define HUNDRED_AND_SIXTY_FIRST 160
#define HUNDRED_AND_SIXTY_SECOND 161
#define HUNDRED_AND_SIXTY_THIRD 162
#define HUNDRED_AND_SIXTY_FOURTH 163



#define HERE printf("ARRIVAL AT Line %d of File %s\n", __LINE__, __FILE__);






#define GENERAL_H_INCLUDED 1

#endif