#ifndef GEOM_H_INCLUDED





#define X_AXIS 0
#define Y_AXIS 1
#define Z_AXIS 2




#define X_Y_PLANE 0
#define X_Z_PLANE 1
#define Y_Z_PLANE 2



#define TILT_LEFT 0
#define TILT_RIGHT 1
#define TILT_DOWN 2
#define TILT_UP 3
#define TILT_CLOCKWISE 4
#define TILT_ANTICLOCKWISE 5



#define LEFT_HANDED_SYSTEM 0
#define RIGHT_HANDED_SYSTEM 1



#define ABOVE 0
#define BELOW 1
#define LEFT 2
#define RIGHT 3
#define FORWARD 4
#define BACKWARD 5



#define MOVE_LEFT 0
#define MOVE_RIGHT 1
#define MOVE_UP 2
#define MOVE_DOWN 3
#define MOVE_FORWARD 4
#define MOVE_BACKWARD 5



#define ABOVE_FORWARD_LEFT 0
#define ABOVE_FORWARD_RIGHT 1
#define ABOVE_BACKWARD_LEFT 2
#define ABOVE_BACKWARD_RIGHT 3
#define BELOW_FORWARD_LEFT 4
#define BELOW_FORWARD_RIGHT 5
#define BELOW_BACKWARD_LEFT 6
#define BELOW_BACKWARD_RIGHT 7



#define CIRCLE_CLOCKWISE_IN_X_Y_PLANE 0
#define CIRCLE_ANTICLOCKWISE_IN_X_Y_PLANE 1
#define CIRCLE_CLOCKWISE_IN_X_Z_PLANE 2
#define CIRCLE_ANTICLOCKWISE_IN_X_Z_PLANE 3
#define CIRCLE_CLOCKWISE_IN_Y_Z_PLANE 4
#define CIRCLE_ANTICLOCKWISE_IN_Y_Z_PLANE 5



#define GEOM_H_INCLUDED 1

#endif