/************************************************************
 *															*
 *						sys_libs.h							*
 *			   											    *															*
 *				LPGE     1997								*		
 *															*
 *	Copyright (C) 1996 Sony Computer Entertainment Inc.		*
 *	All Rights Reserved										*
 *															*
 ***********************************************************/
 
 
 
 
 
 #ifndef SYS_LIBS_H_INCLUDED





/****************************************************************************
					 constants
****************************************************************************/



	// two values
#define YAROZE 1001
#define DEV_KIT 9009


	// set which one with this switch
#define DEVELOPMENT_ENVIRONMENT (YAROZE)



#define DEMO_SEGMENT_FLAG 0




#if	(DEVELOPMENT_ENVIRONMENT==YAROZE)
	#include <libps.h>
	#include <stdio.h>
	#include <stdlib.h>
	#include <rand.h>
	#include <sys\types.h>

	#define PRINT printf   
#elif (DEVELOPMENT_ENVIRONMENT==DEV_KIT)
	#include <sys/types.h>
	#include <stdio.h>
	#include <stdlib.h>
	#include <rand.h>

	#include <libetc.h>
	#include <kernel.h>
	#include <libgte.h>
	#include <libgpu.h>
	#include <libgs.h>
	#include <libsnd.h>
	#include <libmath.h>
	//#include <../include.34/libcd.h>	 // USE THIS FOR DEMO SEGMENT
	#include <libcd.h>

		// dev kit cannot handle printfs properly
	#define PRINT(a...);				{/*nothing*/}
#else
	#error "development environment BAD value"
#endif


#define SYS_LIBS_H_INCLUDED 1

#endif
